using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.HM
{
    [Description("作业任务识别明细风险表")]
    public class T_HM_JOBTASK_IDENTIFY_DETAIL_RISK : MesEntityBase
    {
        [Description("作业任务识别明细表ID")]
        [DataFieldForeignKey("Nav_Detail", "Nav_DetailRisk")]
        public Guid JOBTASK_IDENTIFY_DETAIL_ID { get; set; }

        [Description("导航属性：作业任务识别明细表")]
        public virtual T_HM_JOBTASK_IDENTIFY_DETAIL Nav_Detail { get; set; }
        /// <summary>
        /// 风险库ID
        /// </summary>
        [Description("风险库")]
        [DataFieldForeignKey("Nav_EvaluateRisk")]
        public Guid? EVALUATE_RISK_ID { get; set; }

        /// <summary>
        /// 导航属性：风险库
        /// </summary>
        [Description("导航属性：风险库")]
        public virtual T_HM_EVALUATE_RISK Nav_EvaluateRisk { get; set; }
    }
}
